{
    This file is part of Chentrah,
    Copyright (C) 2004-2008 ChebMaster (user5543@chebmaster.com).

    This program is free software: you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation, either version 2 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program.  If not, see http://www.gnu.org/licenses/

 **********************************************************************

  this is the emergency config used when the data folder cannot be found

 **********************************************************************}

const
  DefaultConfString =
    '[MAIN]'#10#13 +
      'developer_mode=0'#10#13 +
      'debug_mode=0'#10#13 +
      'Config=conf/conf.ini'#10#13 +
      'Abort_Hotkey=F12+ESCAPE'#10#13 +
      'Restart_Hotkey=F12+F1'#10#13 +
      'Session_rollback_Hotkey=F12+F11'#10#13 +
      'Language_Hotkey=F12+L'#10#13 +
      'QualityFactorManualOverrideToggleHotkey=F12+Q'#10#13 +
      'Console_Toggle_Hotkey=SCROLL_LOCK'#10#13 +
      'Console_Scroll_Up_Hotkey=MWHEEL_UP'#10#13 +
      'Console_Scroll_Down_Hotkey=MWHEEL_DOWN'#10#13 +
      'Module_0_HotKey=F12+BACKSPACE'#10#13 +
      'ShowDesktop=bin/show_desktop.scf'#10#13 +

    '[Console]'#10#13 +
      'MaxLines=500'#10#13 +
      'MessageDisplayTime=2500'#10#13 +
      'MessageFadeOutTime=900'#10#13 +
      'DoubleSizeIfResolutionHighetThan=1280'#10#13 +

    '[language]'#10#13 +
      'list=ru_RU,en_US'#10#13 + //Hardcoded. Do not change.
      'base_substitute=en_US'#10#13 +


    '[OpenGL]'#10#13 +
      'GL_linux_0=libGL.so'#10#13 +
      'GL_linux_1=libGL.so.2'#10#13 +
      'GL_linux_2=libGL.so.1.2'#10#13 +
      'GL_linux_3=libGL.so.1'#10#13 +
      'GL_macosx_0=/System/Library/Frameworks/OpenGL.framework/Libraries/libGL.dylib'#10#13 +
      'GL_win32_0=opengl32.dll'#10#13 +
      'LoadFiveQuestionablewglFunctions=0'#10#13 +
      'allow_not_accelerated=0'#10#13 +


    '[OpenAL]'#10#13 +
      'AL_win32_0=openal32.dll'#10#13 +
      'AL_linux_0=libopenal.so'#10#13 +
      'AL_linux_1=libopenal.so.0'#10#13 +
      'AL_linux_2=libopenal.so.1'#10#13 +
      'AL_macosx_0='#10#13 +

    '[DirectX]'#10#13 +
      'DirectSound8dll=dsound.dll'#10#13 +

    '[Video]'#10#13 +
      'fullscreen=1'#10#13 +
      '[modules]'#10#13 +
      'CheckIfModulesAreRecompiledPeriod=2000'#10#13+
      '[Session]'#10#13+
      'MostRecentUsedModule='#10#13

    +'[ostLinux]'#10#13 +
      'save-path=/home/{$USERNAME}/.chentrah'#10#13 +
      'try-program-dir-first=0'#10#13 +
      'try-program-dir-if-save-path-not-writeable=0'#10#13 +

    '[ostWine]'#10#13 +
      'save-path=z:\home\{$USERNAME}\.chentrah'#10#13 +
      'try-program-dir-first=0'#10#13 +
      'try-program-dir-if-save-path-not-writeable=1'#10#13 +
      'use_directsound_not_openal=1'#10#13 +

    '[ostDarwine]'#10#13 +
      'save-path=z:\Users\{$USERNAME}\Application Support\chentrah'#10#13 +
      'try-program-dir-first=0'#10#13 +
      'try-program-dir-if-save-path-not-writeable=1'#10#13 +
      'use_directsound_not_openal=1'#10#13 +

    '[ostWinXP]'#10#13 +
      'save-path={$CSIDL_APPDATA}chentrah'#10#13 +
      'try-program-dir-first=1'#10#13 +
      'try-program-dir-if-save-path-not-writeable=1'#10#13 +
      'use_directsound_not_openal=1'#10#13 +

    '[ostWin2k]'#10#13 +
      'save-path={$CSIDL_APPDATA}chentrah'#10#13 +
      'try-program-dir-first=1'#10#13 +
      'try-program-dir-if-save-path-not-writeable=1'#10#13 +
      'use_directsound_not_openal=1'#10#13 +

    '[ostWin9x]'#10#13 +
      'save-path={$CSIDL_APPDATA}chentrah'#10#13 +
      'try-program-dir-first=1'#10#13 +
      'try-program-dir-if-save-path-not-writeable=1'#10#13 +
      'use_directsound_not_openal=1'#10#13 +

    '[ostVista]'#10#13 +
      'save-path={$CSIDL_APPDATA}chentrah'#10#13 +
      'try-program-dir-first=0'#10#13 +
      'try-program-dir-if-save-path-not-writeable=0'#10#13 +

    '[ostWin7]'#10#13 +
      'save-path={$CSIDL_APPDATA}chentrah'#10#13 +
      'try-program-dir-first=0'#10#13 +
      'try-program-dir-if-save-path-not-writeable=0'#10#13 +

    '[ostMacOsX]'#10#13 +
      'save-path=/Users/{$USERNAME}/Application Support/chentrah'#10#13 +
      'try-program-dir-first=0'#10#13 +
      'try-program-dir-if-save-path-not-writeable=1'#10#13 +


    '[game_controller]'#10#13 +
     'mouse_emul_speed_multiplier=500'#10#13 +
     'mouse_emul_acceleration_threshold=70'#10#13 +
     'mouse_emul_acceleration_multiplier=2000';




    
